DownloadedSchemaEntryImpl (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdownload.impl

## Class DownloadedSchemaEntryImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdownload.impl.DownloadedSchemaEntryImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, DownloadedSchemaEntry, SimpleValue, XmlObject, XmlTokenSource

      public class DownloadedSchemaEntryImpl
      extends XmlComplexContentImpl
      implements DownloadedSchemaEntry

  An XML downloaded-schema-entry(@http://www.bea.com/2003/01/xmlbean/xsdownload). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdownload.DownloadedSchemaEntry

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownloadedSchemaEntryImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmlAnyURI` | `addNewSchemaLocation()` Appends and returns a new empty value (as xml) as the last "schemaLocation" element
    `void` | `addSchemaLocation(String schemaLocation)` Appends the value as the last "schemaLocation" element
    `String` | `getFilename()` Gets the "filename" element
    `String` | `getNamespace()` Gets the "namespace" element
    `String[]` | `getSchemaLocationArray()` Gets array of all "schemaLocation" elements
    `String` | `getSchemaLocationArray(int i)` Gets ith "schemaLocation" element
    `List<String>` | `getSchemaLocationList()` Gets a List of "schemaLocation" elements
    `String` | `getSha1()` Gets the "sha1" element
    `XmlAnyURI` | `insertNewSchemaLocation(int i)` Inserts and returns a new empty value (as xml) as the ith "schemaLocation" element
    `void` | `insertSchemaLocation(int i, String schemaLocation)` Inserts the value as the ith "schemaLocation" element
    `boolean` | `isSetNamespace()` True if has "namespace" element
    `void` | `removeSchemaLocation(int i)` Removes the ith "schemaLocation" element
    `void` | `setFilename(String filename)` Sets the "filename" element
    `void` | `setNamespace(String namespace)` Sets the "namespace" element
    `void` | `setSchemaLocationArray(int i, String schemaLocation)` Sets ith "schemaLocation" element
    `void` | `setSchemaLocationArray(String[] schemaLocationArray)` Sets array of all "schemaLocation" element
    `void` | `setSha1(String sha1)` Sets the "sha1" element
    `int` | `sizeOfSchemaLocationArray()` Returns number of "schemaLocation" element
    `void` | `unsetNamespace()` Unsets the "namespace" element
    `XmlToken` | `xgetFilename()` Gets (as xml) the "filename" element
    `XmlAnyURI` | `xgetNamespace()` Gets (as xml) the "namespace" element
    `XmlAnyURI[]` | `xgetSchemaLocationArray()` Gets (as xml) array of all "schemaLocation" elements
    `XmlAnyURI` | `xgetSchemaLocationArray(int i)` Gets (as xml) ith "schemaLocation" element
    `List<XmlAnyURI>` | `xgetSchemaLocationList()` Gets (as xml) a List of "schemaLocation" elements
    `XmlToken` | `xgetSha1()` Gets (as xml) the "sha1" element
    `void` | `xsetFilename(XmlToken filename)` Sets (as xml) the "filename" element
    `void` | `xsetNamespace(XmlAnyURI namespace)` Sets (as xml) the "namespace" element
    `void` | `xsetSchemaLocationArray(int i, XmlAnyURI schemaLocation)` Sets (as xml) ith "schemaLocation" element
    `void` | `xsetSchemaLocationArray(XmlAnyURI[] schemaLocationArray)` Sets (as xml) array of all "schemaLocation" element
    `void` | `xsetSha1(XmlToken sha1)` Sets (as xml) the "sha1" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### DownloadedSchemaEntryImpl

          public DownloadedSchemaEntryImpl(SchemaType sType)

  - ### Method Detail

    - #### getFilename

          public String getFilename()

      Gets the "filename" element
      Specified by:
        `getFilename` in interface `DownloadedSchemaEntry`

    - #### xgetFilename

          public XmlToken xgetFilename()

      Gets (as xml) the "filename" element
      Specified by:
        `xgetFilename` in interface `DownloadedSchemaEntry`

    - #### setFilename

          public void setFilename(String filename)

      Sets the "filename" element
      Specified by:
        `setFilename` in interface `DownloadedSchemaEntry`

    - #### xsetFilename

          public void xsetFilename(XmlToken filename)

      Sets (as xml) the "filename" element
      Specified by:
        `xsetFilename` in interface `DownloadedSchemaEntry`

    - #### getSha1

          public String getSha1()

      Gets the "sha1" element
      Specified by:
        `getSha1` in interface `DownloadedSchemaEntry`

    - #### xgetSha1

          public XmlToken xgetSha1()

      Gets (as xml) the "sha1" element
      Specified by:
        `xgetSha1` in interface `DownloadedSchemaEntry`

    - #### setSha1

          public void setSha1(String sha1)

      Sets the "sha1" element
      Specified by:
        `setSha1` in interface `DownloadedSchemaEntry`

    - #### xsetSha1

          public void xsetSha1(XmlToken sha1)

      Sets (as xml) the "sha1" element
      Specified by:
        `xsetSha1` in interface `DownloadedSchemaEntry`

    - #### getSchemaLocationList

          public List<String> getSchemaLocationList()

      Gets a List of "schemaLocation" elements
      Specified by:
        `getSchemaLocationList` in interface `DownloadedSchemaEntry`

    - #### getSchemaLocationArray

          public String[] getSchemaLocationArray()

      Gets array of all "schemaLocation" elements
      Specified by:
        `getSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### getSchemaLocationArray

          public String getSchemaLocationArray(int i)

      Gets ith "schemaLocation" element
      Specified by:
        `getSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### xgetSchemaLocationList

          public List<XmlAnyURI> xgetSchemaLocationList()

      Gets (as xml) a List of "schemaLocation" elements
      Specified by:
        `xgetSchemaLocationList` in interface `DownloadedSchemaEntry`

    - #### xgetSchemaLocationArray

          public XmlAnyURI[] xgetSchemaLocationArray()

      Gets (as xml) array of all "schemaLocation" elements
      Specified by:
        `xgetSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### xgetSchemaLocationArray

          public XmlAnyURI xgetSchemaLocationArray(int i)

      Gets (as xml) ith "schemaLocation" element
      Specified by:
        `xgetSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### sizeOfSchemaLocationArray

          public int sizeOfSchemaLocationArray()

      Returns number of "schemaLocation" element
      Specified by:
        `sizeOfSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### setSchemaLocationArray

          public void setSchemaLocationArray(String[] schemaLocationArray)

      Sets array of all "schemaLocation" element
      Specified by:
        `setSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### setSchemaLocationArray

          public void setSchemaLocationArray(int i,
                                             String schemaLocation)

      Sets ith "schemaLocation" element
      Specified by:
        `setSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### xsetSchemaLocationArray

          public void xsetSchemaLocationArray(XmlAnyURI[] schemaLocationArray)

      Sets (as xml) array of all "schemaLocation" element
      Specified by:
        `xsetSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### xsetSchemaLocationArray

          public void xsetSchemaLocationArray(int i,
                                              XmlAnyURI schemaLocation)

      Sets (as xml) ith "schemaLocation" element
      Specified by:
        `xsetSchemaLocationArray` in interface `DownloadedSchemaEntry`

    - #### insertSchemaLocation

          public void insertSchemaLocation(int i,
                                           String schemaLocation)

      Inserts the value as the ith "schemaLocation" element
      Specified by:
        `insertSchemaLocation` in interface `DownloadedSchemaEntry`

    - #### addSchemaLocation

          public void addSchemaLocation(String schemaLocation)

      Appends the value as the last "schemaLocation" element
      Specified by:
        `addSchemaLocation` in interface `DownloadedSchemaEntry`

    - #### insertNewSchemaLocation

          public XmlAnyURI insertNewSchemaLocation(int i)

      Inserts and returns a new empty value (as xml) as the ith "schemaLocation" element
      Specified by:
        `insertNewSchemaLocation` in interface `DownloadedSchemaEntry`

    - #### addNewSchemaLocation

          public XmlAnyURI addNewSchemaLocation()

      Appends and returns a new empty value (as xml) as the last "schemaLocation" element
      Specified by:
        `addNewSchemaLocation` in interface `DownloadedSchemaEntry`

    - #### removeSchemaLocation

          public void removeSchemaLocation(int i)

      Removes the ith "schemaLocation" element
      Specified by:
        `removeSchemaLocation` in interface `DownloadedSchemaEntry`

    - #### getNamespace

          public String getNamespace()

      Gets the "namespace" element
      Specified by:
        `getNamespace` in interface `DownloadedSchemaEntry`

    - #### xgetNamespace

          public XmlAnyURI xgetNamespace()

      Gets (as xml) the "namespace" element
      Specified by:
        `xgetNamespace` in interface `DownloadedSchemaEntry`

    - #### isSetNamespace

          public boolean isSetNamespace()

      True if has "namespace" element
      Specified by:
        `isSetNamespace` in interface `DownloadedSchemaEntry`

    - #### setNamespace

          public void setNamespace(String namespace)

      Sets the "namespace" element
      Specified by:
        `setNamespace` in interface `DownloadedSchemaEntry`

    - #### xsetNamespace

          public void xsetNamespace(XmlAnyURI namespace)

      Sets (as xml) the "namespace" element
      Specified by:
        `xsetNamespace` in interface `DownloadedSchemaEntry`

    - #### unsetNamespace

          public void unsetNamespace()

      Unsets the "namespace" element
      Specified by:
        `unsetNamespace` in interface `DownloadedSchemaEntry`